#pragma once
#ifdef WIN32
#pragma comment(lib,"ws2_32")
#endif 
#include "winsock2.h"

struct SFrame {
	char data[32];
	int flag;
};

class CServerWSA
{
public:
	CServerWSA(void);
public:
	~CServerWSA(void);
	void clearBuff(void);
	void initializeWSA(); // Initialize Winsock.
	void socketCreate(); // Create a socket.
	void bindSocket(unsigned short port);
	void sendData(SOCKET client); //send sendbuff
	void receiveData(SOCKET client); //receive data
	void serverListen();
public:
	SOCKET m_socket;//socket
	sockaddr_in server_service; // struktura zwiazana z serwerem - patrz bindSocket
	char sendbuf[32]; //bufor wyjściowy
	char recvbuf[32]; // bufor wejściowy
	char msg2client1[32];
	char msg2client2[32];
	int bytesRecv; // liczba odebranych bajtow
	SFrame inbuff;
	SFrame outbuff;
};
